import processing.core.*; 
import processing.xml.*; 

import hypermedia.net.*; 

import java.applet.*; 
import java.awt.*; 
import java.awt.image.*; 
import java.awt.event.*; 
import java.io.*; 
import java.net.*; 
import java.text.*; 
import java.util.*; 
import java.util.zip.*; 
import java.util.regex.*; 

public class UDP_lib_client extends PApplet {

/**
 * (./) udp.pde - how to use UDP library as unicast connection
 * (cc) 2006, Cousot stephane for The Atelier Hypermedia
 * (->) http://hypermedia.loeil.org/processing/
 *
 * Create a communication between Processing<->Pure Data @ http://puredata.info/
 * This program also requires to run a small program on Pd to exchange data  
 * (hum!!! for a complete experimentation), you can find the related Pd patch
 * at http://hypermedia.loeil.org/processing/udp.pd
 * 
 * -- note that all Pd input/output messages are completed with the characters 
 * ";\n". Don't refer to this notation for a normal use. --
 */

// import UDP library



UDP udp;  // define the UDP object

/**
 * init
 */
public void setup() {

  // create a new datagram connection on port 6000
  // and wait for incomming message
  // brock@cs.unca.edu
  //  removed the 6000 --- let it use whatever port it gets
  udp = new UDP( this);
  //udp.log( true ); 		// <-- printout the connection activity
  udp.listen( true );
}

//process events
public void draw() {;}

/** 
 * on key pressed event:
 * send the current key value over the network
 */
public void keyPressed() {
    
    String message  = str( key );	// the message to send
    String ip       = "localhost";	// the remote IP address
    int port        = 6100;		// the destination port
    
    // formats the message for Pd
    message = message+";\n";
    // send the message
    udp.send( message, ip, port );
    
}

// brock@cs.unca.edu
//   removed the receiver code


  static public void main(String args[]) {
    PApplet.main(new String[] { "--bgcolor=#F0F0F0", "UDP_lib_client" });
  }
}
